This content requires the base game Ultra Street Fighter® IV on Steam in order to play.

All Reviews:
No user reviews
Release Date:
Dec 16, 2014
Developer:

Sign in to add this item to your wishlist, follow it, or mark it as not interested

Downloadable Content

This content requires the base game Ultra Street Fighter® IV on Steam in order to play.

Buy USFIV: Classic Wild Pack

Packages that include this game

Buy USFIV: Wild Costume Pack

Includes 9 items: USFIV: 2014 Challengers Wild Pack, USFIV: Arcade Challengers Wild Pack, USFIV: Brawler Wild Pack, USFIV: Challengers Wild Pack 1, USFIV: Challengers Wild Pack 2, USFIV: Classic Wild Pack, USFIV: Femme Fatale Wild Pack, USFIV: Shadaloo Wild Pack, USFIV: Shoryuken Wild Pack

 

About This Content

Alternate costume pack for Ultra Street Fighter IV. Contains new wild outfits for Guile, Blanka, Dhalsim, Gen, and Fei Long. Wear these new threads and take out your opponents in style!
*This content is only compatible with Ultra Street Fighter IV. Will not work with any other game.

System Requirements

    Minimum
    • OS: Windows Vista
    • Processor: Intel Core 2 Duo 2.0 GHz or better
    • Memory: 1 GB RAM
    • Hard Disk Space: 12 GB free hard drive space
    • Video Card: NVIDIA GeForce 6600 or better (except NVIDIA GeForce 7300)
    • DirectX®: 9.0c or greater
    • Sound: DirectSound, DirectX9.0c Compatible Audio
    Recommended
    • OS: Windows Vista, Windows 7, Windows 8
    • Processor: Intel Core 2 Quad 2.66 GHz or better
    • Memory: 2 GB RAM
    • Hard Disk Space: 12 GB free hard drive space
    • Video Card: NVIDIA GeForce 8600 or better
    • DirectX®: 9.0c or greater
    • Sound: DirectSound, DirectX9.0c Compatible Audio
There are no reviews for this product

You can write your own review for this product to share your experience with the community. Use the area above the purchase buttons on this page to write your review.